Codename "Newarc" - история развития.
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

[!] Важное замечание/изменение
[+] Нововведение
[-] Исправлена ошибка
[*] Изменение
[?] Спорное изменение/нововведение
[=] Внутреннее изменение не меняющее работы плагина

	В квадратных скобках после сообщения указан человек, сделавший 
ту или иную гадость. Здесь и далее:

AY - Alex Yaroslavsky
WI - WARP ItSelf
TS - Tim Sobolev

[17/08/2009]

[*] Обновил 7z.dll до 9.06 а также обновил 7z хидеры и всё связаное. [7z.all] [AY]

[+] Добавил детект MSLZ (Compress), SWF, FLV - не проверял работу. [7z.all] [AY]

[20/06/2009]

[+] Добавил детект Xz, Vhd, Mbr, Fat, Ntfs - не проверял работу. Надо добавить детект lzma86. [7z.all] [AY]

[19/06/2009]

[*] Обновил 7z.dll до 9.04 а также обновил 7z хидеры и всё связаное. [7z.all] [AY]

[06/06/2009]

[-] Падение при поиске файлов. [NA] [AY]

[-] При поиске не нужно показывать меню выбора форматки. [NA] [AY]

[03/01/2009]

[+] Добавил детект для всех видов архивов которые есть в 4.63 (кроме DMG), что мог протестировал - из того что
	не тестировал (и не знаю если работает как надо): wim, mach-o, mub, hfs. [7z.all] [AY]

[*] Обновил 7z.dll до 4.64. [7z.all] [AY]

[+] Добавил детект и для dmg - сигнатура {0x78, 0xDA}, тупо наугад поставил, в тех 2-ух dmg что я видел было так.
	Также удостоверился что работают mach-o, mub и hfs что оставляет не проверенным только wim. [7z.all] [AY]

[02/01/2009]

[-] Неправильная проверка версии в zipdetect. [7z.all] [AY]

[=] Убрал 7zxa.dll так как он не используется. [AY]

[*] Обновли 7z.dll до 4.63. [7z.all] [AY]

[+] Из новых форматов 4.63 пока что добавил детект для UDF (кривоватый но рабочий). [7z.all] [AY]

[+] NA умеет теперь работать с форматками которые могут вернуть больше чем один тип архива для файла. [NA] [7z.all] [AY]

[13/06/2008]

[-] Поправил zip.module на предмет открытия файлов. Небольшой косяк после портирования NewArc под х64. [zip] [WI]

[09/06/2008]

[=] GCC. [all] [AY]

[=] Перенёс 7z.headers в папку 7z.all так как теперь только один 7z плагин есть. [7z.all] [AY]

[07/06/2008]

[*] Опять новые заглушки. Почти чистый C. [all] [WI]

[=] GCC. [all] [AY]

[06/06/2008]

[+] В x64 сборке заработали 7z.all и ma. [NA, 7z.all, ma] [WI]

[+] Новые заглушки для х64, спасибо Iouri Kharon. [all] [WI]

[*] Исправления при работе с массивами строк в x64. [WI]

[05/06/2008]

[*] Первичная поддержка x64 (newarc + 7z). Но скажу по секрету - она не работает. [NA, 7z.all] [WI]

[*] Обновли 7z.dll до 4.58 alpha 9, исправлены какие-то проблемы с ISO. [7z.all] [WI]

[*] Удален наконец плагин 7z. [WI] 

[=] Проекты для VS2008. [WI]

[12/05/2008]

[*] Добавлена первичная реализация функции удаления. Не стоит удалять из архива все файлы, плагин повиснет. [ace] [WI]

[11/05/2008]

[*] Что-то непонятное творится в unrar.dll с атрибутами файлов. Сделал пока хак. [rar] [WI]

[*] Первичная поддержка функций добавления в ACE, все сыро и криво. Вообще странное API у ACE. [ace] [WI]

[*] Убрано дублирование данных кое-какое. Если не отвалится где. [7z.all] [WI]

[15/04/2008]

[-] Маленькая глупость сильно мешала распаковке папок в некоторых типах архивов (ISO, BZ2). [7z.all] [WI]

[*] Обновил 7z.dll до 4.58 alpha 8 - там исправлена проблема с многотомными рарами (*.001, *.002).
	Там также введен новый формат, lzma - надо будет добавить распознавание когда сорцы выложат. [7z.all] [AY]

[19/03/2008]

[*] Продолжаем ломать АПИ на предмет диалога конфигурации при добавлении файлов в архив. [all] [WI]

[10/03/2008]

[-] Пытаемся ставить атрибуты у папок. [7z.all] [WI]

[*] Убрал хак с папками. Интересно, где отвалилось. [NA] [WI]

[-] При массовой распаковке файлов могли не создаваться пустые папки. [NA] [WI]

[-] Не всегда у папок при показе содержимого архива правильно устанавливались атрибуты. [NA] [WI]

[02/09/2007]

[+] Теперь 7z.all получает практически всю информацию из модулей 7z (пока не используется
	сигнатура), теперь новые форматы должны добавляться практически прозрачно (без сигнатуры они 
	будут бесполезны). [7z.all] [WI]

[18/08/2007]

[-] Невозможно было отменить распаковку файла. [ace] [WI]

[-] Если распаковывались не все файлы из архива индикатор прогресса файла показывал бред. [ace] [WI]

[03/08/2007]

[=] Убрал пару ворнингов. [NA] [AY]

[*] Обновил 7z.dll на 4.52 и добавил распозванвание compound архивов (msi, doc и т.п.). [7z.all] [AY]

[02/08/2007]

[-] Починил непонятные подземные стуки с подсчетом размеров папок и поиском. Однако я не вполне
	понимаю почему предыдущий вариант не работал. Где-то в Far'е похоже косяк.

[21/07/2007]

[*] Вынес часть строк в lng. [NA] [AY]

[-] В rar.module тоже неправильно удалялась заглушка. [rar] [WI]

[-] Добавил распознавание WIM. Но как то это тупо и не решает глобальную проблему новых форматов,
	надо всё таки для форматов которые мы не знаем получать сигнатуру (да и имя и окончание) от 7z,
	ведь у него есть АПЙ для этого. [7z.all] [AY]

[20/07/2007]

[-] В 7z.dll 4.49 появился новый формат архива (WIM), а 7z.all оказался к этому не готов. Формат добавлен
	(хоть и не работает, нет распознавания), ситуация учтена (вроде). [7z.all] [WI]

[+] ace добавлен к общему проекту. [NA] [WI]

[19/07/2007]

[-] Добавил в zipdetect.cpp опознавание новых методов компрессии.
	Не открывались например запароленые архивы от WinZip 11. [7z.all] [AY]

[*] Обновил 7z.dll на 4.49. [7z.all] [AY]

[07/07/2007]

[*] Кое-какая мелочь в интерфейсе создания архива. [NA] [WI]

[17/06/2007]

[-] Исправлены кое-какие падения при работе с шаблонами в диалоге создания архива. 
	Пока не окончательный вариант, так, поиграться. [NA] [WI]

[*] Изменения в работе диалога создания архива. [NA] [WI]

[-] Не удалялось с экрана сообщение, появляющееся при индексации архива. [7z.all] [WI]

[*] Заменил в папке bin для 7z.all кучу DLL файлов на новый 7z.dll из 7-zip 4.47. [7z.all] [WI]

[01/05/2007]

[-] Падение при выходе из архива, если из него ходили во вложенный архив. [NA] [WI]

[-] Еще одна заглушка удалялась неправильно. [NA] [WI]

[-] Выход за границы выделенной памяти при отрисовке ползунка прогресса. [NA] [WI]

[+] Крайне экспериментальная поддержка 7z.dll из 7-zip 4.45 (расширенное API форматки для
	поддержки нескольких форматов в одном модуле). Тоже должна жить в папке formats. Все 
	остальные форматки от 7z и кодеки ей не нужны. Старый вариант тоже обязан работать. [7z.all] [WI]

[=] Поправил намешанные табы с пробелами где заметил и убрал пару ворнингов. [all] [AY]

[-] Различные проблемы с не английскими путями. [wcx] [AY]

[-] Некоторые модули пытались выводить прогресс чтения архива, а мы этого не ожидаем.
	Добавил динамичный флаг для блокировки прогресса. [wcx] [AY]

[-] Еще пару заглушек удалялись неправильно. [wcx] [AY]

[27/03/2007]

[-] Исправлен еще один злостный баг, когда содержимое архива иногда показывалось пустым. [NA] [WI]

[-] Исправлен злостный баг с неправильным удалением заглушки. Почему не падало - непонятно. [NA] [WI]

[-] Очень утомил постоянно мигать заголовок консоли при распаковке. Не обновляем его,
    если содержимое не поменялось. Метод несколько деревянный. [NA] [WI]

[05/03/2007]

[*] Практически правильная работа с шаблонами. GUID'ы в шаблонах, вернул
	разницу между "шаблон" и "непосредственные настройки" на место. Не хватает
	пока кучи проверок (в частности на пустой шаблон). [NA] [WI]

[03/02/2007]

[-] Как всегда с первого раза не распаковывались файлы из папок в архиве. 
	Заодно поправил кое-какие неточности. [ace] [WI]

[28/02/2007]

[+] Мега-модуль ace.module, естественно требует unacev2.dll. Реализация жжот. [WI]

[-] Исправил даты в "changes", а то 2006 год никак не мог закончиться. [WI]

[=] Сборка GCC и ворнинги. [ace] [AY]

[*] Правильные строки вызова ace32.exe на случай что кому то это надо. [ace] [AY]

[-] Январь месяц тоже всё ни как не хотел кончатся :) [AY]

[25/02/2007]

[*] Обновил немного класс array. Стырено из The Underscore. [WI]

[24/01/2007]

[=] Сборка GCC и ворнинги. [AY]

[*] Провел ревизию класса Collection, теперь его заменяет новый класс array. Под него
	переделаны многие динамические массивы в плагине и класс FarDialog (он наследуется
	от этого массива). Опасное для жизни и здоровья изменение, короче. [NA] [all.plugins] [WI]

[-] С помощью команды cd из командной строки можно было уйти в архиве куда угодно. [NA] [WI]

[23/01/2007]

[*] Переделал VC проекты, теперь они работают с теми файлами, которые находятся в папке lib.part, т.е.
	плагин можно собрать не меняя проекты руками. [WI]

[*] В связи с вышеозначенным больше нельзя надеятся, что функции malloc/realloc возвращают память, заполненную
	нулями. В тех местах, где мне это попалось на глаза я поправил ситуацию (memset), но мог и пропустить
	что-нибудь (или неправильно занулить). [WI]

[*] Опять собирается tar.module (не знаю работает ли, не проверял). [WI]

[*] Обновил кодеки для 7z.all до тех, что входят в 7-Zip 4.44 beta. [WI]

[16/01/2007]

[*] Добавил OPIF_USEFILTER. [AY]

[10/01/2007]

[-] Толи лыжи не ехали, толи... Добавил определение ZIP архивов не только в начале файла. [7z.all] [WI]

[13/08/2006]

[-] Не доставались русские имена через wcx.module. [wcx] [WI]

[30/07/2006]

[=] Сборка GCC и ворнинги. [AY]

[29/07/2006]

[!] Большой ахтунг! Теперь каждый формат архива определяется не "номером", а собственным GUID. Это позволило 
	довольно сильно упростить код, а в будущем позволит иметь правильную реализацию шаблонов и настроек, т.к. 
	теперь модуль и архив должны идентифицироваться однозначно. Под новую систему переведены все плагины кроме
	TarGz (что-то я в пять утра побоялся в него лезть). Попутно wcx.module и ma.module претерпели сильные изменения
	(на мой взгляд они стали проще), а также в ma.module бы исправлена ситуация, когда строка, идентифицирующая
	архив в меню не соответствовала реальному формату архива. Что отвалилось следствием пока не установлено, но 
	точно что-нибудь отвалилось. Я предупреждал. [NA] [all.plugins] [WI]

[25/07/2006]

[*] Все "доки" в win-1251 кодировке. [AY]

[-] 7z который не all тоже собирается. [AY]
    
[*] Сборка GCC и варнинги. [AY]

[-] Исправил лажу с AFF_SUPPORT_INTERNAL флагами. [NA] [WI]

[-] Неправильно формировались имена файлов при добавлении в архив папки, находящейся в корне диска. [NA] [WI]

[+] Добавлена первичная реализация диалогов обновления архива (удаление, добавление). [NA] [7z.all] [WI]

[-] Где-то 22-ого числа сломал удаление файлов из архивов. [7z.all] [WI]

[*] У вас еще что-то работает? Тогда мы идем к вам! Переделал систему событий на поддержку OperationStruct. 
	Начальная стадия, ожидаются осадки. [NA] [WI]

[23/07/2006]

[-] Кто-то жестоко казнил распаковку файлов в zip.module. [zip] [WI]

[*] Попробуем пойти по пути избавления от m_bForcedUpdate, как сделал Alex. [7z.all] [WI]

[-] Починил мной же поломаный запускатор NA на предмет кодировок. Т.е. теперь русские имена архивов для rar
	работают нормально. [NA] [AY]

[22/07/2006]

[-] Уточнил проверку на суб-фолдеры при распаковке. [NA] [AY]

[*] Сделал менее хак-подобную обработку Notify. [7z.all] [AY]

[+] В плагины добавлено оповещение о вызове внешних программ (плагину сообщается, например, что у него на 
	панели собираются удалить файлы внешней программой, т.к. он сам не поддерживает удаление). Это позволяет
	плагину подготовить файл к обработке внешней программой или выполнить какие-то свои ценные операции. 
	Сделано это безусловно, в качестве хака. Теперь опять можно добавлять файлы в архивы, открытые 7z.all, 
	для которых он не поддерживает внешнюю запаковку. [7z.all] [NA] [WI]

[-] Не распаковывались папки из tar.gz (а реально, изменение в создании списка файлов для распаковки и 
	подкрутка гаек при обработке данных, полученных от архива). Чтобы было не так весело, скажу - могло что 
	угодно отвалиться. [NA] [7z.all] [WI]

[?] Вроде учел еще один случай использования OPM_SILENT при распаковке, больше не сохраняется в буфер экран 
	(и не восстанавливается, соответственно). Должно "помочь" мерцаниям при поиске (вы думаете я проверял, да?) [NA] [WI]

[+] Добавил "правильный" move файлов из архива, учитывающий возможность внутреннего удаления файлов. [NA] [WI]

[*] Больше частично распакованные файлы не открываются при прерывании операции. [NA] [WI]

[*] Исправил невозможность прерывать silent операции (F3/F4) (опять с проверками намудрил). Пока 
	получилась фигня, потому что при этом еще надо добавить возврат ошибки распаковки, а то можно 
	редактировать частично распакованный файл (при сохранении соответственно будет... кхм, нехорошо). [NA] [WI]

[=] Более правильная реализация де/инициализации глобальных классов для GCC. [AY]

[21/07/2006]

[=] Забацал де/инициализацию глобальных классов для GCC и всё снова стало красивым. [7z.all] [NA] [AY]

[+] Во время создания архива проверяется если текущий формат умеет сам это делать. [NA] [AY]

[+] Юзаем AFF_SUPPORT_INTERNAL_CREATE. [7z.all] [AY]

[=] Полная отвязка всего от msvcrt (кроме targz так как ему это очень надо).
	Пришлось убрать глобальные классы (WI - не бить меня :), потом попробую забацать
	инициализацию глобальных классов для GCC чтоб всё снова стало красивым. [AY]

[*] Добавил работоспособное создание архивов. Хотя над последовательностью вызовов надо еще чесать репу. 
	И явное выставление m_pArchive мне не нравится. [7z.all] [WI]

[*] Заменил OpenNew на Create. [7z.all] [WI]

[*] Должны открываться архивы, в которые кто-то пишет (вот только не даст 7z открыть битые архивы). [7z.all] [WI]

[19/07/2006]

[=] Отвязка от msvcrt.dll - NA, zip, ma, rar, wcx. Решил сделать это малой кровью и слинковал с crtdll. [AY]

[17/07/2006]

[?] Попытался добавить поддержку создания архивов, но вышло боком - надо думать. [7z.all] [AY]

[?] Ввёл поддержку создания архивов с помощью внутренней архивации (полу хак). [NA] [AY]

[-] Намудрил в новом обработчике API по добавлению файлов в архив. [NA] [WI]

[-] В виду бага в новом GCC погнулось добавление файлов в 7z архивах. 
	(ВНИМАНИЮ ВСЕХ, КТО РЕШИТ СОБИРАТЬ ПЛАГИН С ПОМОЩЬЮ GCC - плагин собирается 
	только версиями 3.4.x и не собирается версиями 4.x.x пока их не починят на предмет
	множественного наследования). [7z.all] [WI, AY]

[+] Возможность создавать/редактировать файлы в архивах. [NA] [WI]

[+] Экспериментальная версия создания папок в архивах. [NA] [WI]

[+] Добавил в проект lng.generator, а то, во-первых, не у всех есть, а, во-вторых, у меня самый
	свежий похоже (также добавил newarc.Messages.h, а то собирать неудобно без makefile). [WI]

[*] Изменил API добавления файлов в архив для использования PluginPanelItem, этим API уже можно 
	попробовать пользоваться. [NA] [WI]

[14/07/2006]

[=] Юзаем как надо Lng.gen (GCC). [NA]. [AY]                                                                                   

[=] Убираем ещё варнинги для GCC. [AY]

[+] Добавил обновление файлов в архиве. Все пока очень сыро. [7z.all] [WI]

[=] Сборка GCC, переорганизовка файлов. [7z.all] [AY]

[+] Добавление файлов к архивам. Добавлять можно, но упаси вас Бог заменять... И вообще, см. комментарий ниже. [7z.all] [WI]

[+] Удаление файлов в архивах. Тот, кто будет пользоваться этой функцией на реальных архивах на данной 
	стадии - псих ненормальный. [7z.all] [WI]

[13/07/2006]

[-] Исправил проблемы с падением wcx.module при получении листинга и распаковке. [wcx] [WI]

[-] Исправил неработающее определение папок при распаковке (см. хак ниже). [7z.all] [WI]

[-] 7z.all не всегда создавал пустые папки (грязный хак). [7z.all] [AY]

[-] NA не передавал модулям папки для распаковки - только файлы, что могло приводить
	к нераспаковке пустых папок. [NA] [AY]

[-] Запускатор NA не понимал %var% и не перекодировал в ANSI. [NA] [AY]

[+] Заполнение поля CRC в PluginPanelItem. [7z.all] [WI]

[-] В wcx модулях не работала распаковка папок. [wcx] [WI]

[+] 7z.all пытается восстанавливать атрибуты и время файла при распаковке. [7z.all] [WI]

[+] Украл из 7z реализацию класса PropVariant, использую ее вместо PROPVARIANT. [7z.all] [WI]

[*] Переделал rar.module, для работы с SetCallback, все операции теперь выполняются с
	его помощью. [rar] [WI]

[*] Чуть более содержательный прогресс распаковки (добавлены проценты) [NA] [WI]

[-] Починил глюк, приводивший к падению при невозможности открыть архив для распаковки 
	(именно на стадии распаковки). [NA] [WI]

[*] Переделал плагин wcx.module, NA самостоятельно умеет открывать/закрывать архив с разыми
	operation mode (extract/list). [wcx] [WI]

[+] В распаковку wcx вернулся диалог прогресса. [wcx] [WI]

[-] Устранены некоторые проблемы с выравниванием структур из-за которых невозможно было
	прервать распаковку файлов. [NA] [WI]

[*] Отимизирован процесс открытия файлов в 7z.all, теперь плагин не открывает архив отдельно
	на распаковку (перед вызовом extract), т.к. 7z не требуется переоткрывать архив с другим
	operation mode, а открыает архив один раз, на первом вызове OpenPlugin и закрывает
	его на FinalizePlugin. Заметно при распаковке архивов с очень большим количеством файлов. [7z.all] [WI]

[12/07/2006]

[*] Суммарный размер файлов в архиве теперь unsigned __int64, должна быть исправлена ошибка с проказом
	диалога прогресса на больших архивах. [NA] [WI]

[*] Более точный метод определения ISO. [7z.all] [WI]

[*] Более точный метод определения NSIS архивов. [7z.all] [WI]

[*] Жесткий метод определения 7z архивов. Возможность ошибки стремится к нулю. [7z.all] [WI]

[*] 7z, похоже, не понимает ZIP архивы с заголовком не на нулевой позиции. Уточнил процедуру определения. [7z.all] [WI]

[*] Чуть позже... Детект от 7z не пережил суровой встречи с реальностью из-за привычки 7z читать листинг
	архива при его открытии. Вернул детект от AY. [7z.all] [WI]

[*] Я реально ступил по поводу неумения 7z модулей определять свои форматы. За исключением split.dll
	они делают это очень неплохо. Попробуем поработать с этим детектом. [7z.all] [WI]

[-] Раз все воюют с ворнингами то я тоже :). Заодно исправились пару супер мелких багов которые
	не знаю где и как проявлялись. [AY]

[11/07/2006]

[+] Слишком умный плагин 7z.all читает весь листинг файлов прямо при открытии арихва, а функция
	получения данных поштучно берет их уже из кэша, поэтому пришлось организовать для плагина отдельный
	внутренний диалог прогресса о получении данных о файлах. К сожалению, если прервать плагин, 
	посмотреть на "то, что успели" нельзя. [7z.all] [WI]

[-] Исправлена ошибка в процедуре проверки на нажатие Esc при чтении содержимого архива. [NA] [WI]

[-] Устранены дешевые перемигивания диалога поиска при поиске файлов в архиве. [NA] [WI]

[*] Похерил определение архивов 7z-модулями, они все равно не умеют этого делать. Теперь
	архивы определяются только кодом от AY. И сразу вернулись пароли на листинг. [7z.all] [WI]

[*] Переделал внутреннее кэширование паролей в NA. Добавил возможность плагину сбросить пароль. [NA] [WI]

[+] Использовал пункт выше для реализации кэширования паролей с 7z.all. Теперь должны обрабатываться
	(с переменным успехом) оба типа паролей. [7z.all] [WI]

[10/07/2006]

[-] Костыль для распаковки пустых папок их архива. Правильный вариант должен появиться при
	добавлении восстановления даты/атрибутов при распаковке. [7z.all] [WI]

[-] Исправлена ошибка при распаковке NSIS архивов. Возможно, и других архивов тоже. [7z.all] [WI]

[-] Исправлена невозможность открыть split архивы. [7z.all] [WI]

[-] Вроде поправил анноящий глюк с остающимися с temp'е папками. [na] [WI]

[09/07/2006]

[-] Неправильно работали детекты сигнатур из за выравнивания. [7z.all] [AY]

[+] Добавил команды для ещё нескольких архивов. [7z.all] [AY]

[+] Разные заумные проверки сигнатур выдранные из MA и т.п. [7z.all] [AY]

[*] Вернул проверку сигнатур GZ И Z. [7z.all] [AY]

[*] Мелкие изменения в wcx. [AY]

[+] Решил всё таки добавить extract перед тем как идти спать. Вроде даже работает. [wcx] [AY]

[+] Начальная реализация модуля поддержки WCX форматок. Пока что работает тока листинг. [AY]

[08/07/2006]

[+] Добавил настройки ком строк для некоторых форматов. [7z.all] [AY]

[*] Теперь плагин получает данные о GUID модуля не тупым перебором, а непосредственно
	запрашивая модуль, это позволяет использовать любые модули от 7z, а не только известные. [7z.all] [WI]

[+] Добавил времена в FindData. [7z.all] [WI]

[+] Не, с COM'ом у меня точно проблемы. Сделал работу с многотомными архивами, но остались
	проблемы понимания. [7z.all] [WI]

[-] Невозможно было прервать процесс распаковки файлов. [7z.all] [WI]

[05/07/2006]

[+] Странная какая-то реализация работы с паролями в архивах. Странная в смысле COM'а.
	Пора мне освежить в памяти основы COM'а. А так, в целом - пароли на файлах и, теоретически,
	пароли на содержимом (не проверял). Разные пароли на разных файлах как обычно нефига не 
	поддерживаются. [7z.all] [WI]

[*] Не хватало одного заголовочного файла. [7z.all] [WI]

[03/07/2006]

[*] Нужные хедеры из 7z теперь идут с плагином. [AY]

[+] Добавил кодеки и форматки 7z в svn. [AY]

[02/07/2006]

[+] Добавлена возможность собрать 7z_all.module с помощью GCC. [AY]

[30/06/2006]

[+] Бонус-тайм! Плагин 7z_all.module. В отличие от 7z.module умеет грузить все
	модули/форматы от 7z и пытается с ними работать. У плагина пока проблемы с 
	определением формата архива. [WI]

[*] Внес кое-какие изменения/дополнения в диалог шаблонов. Поправил кое-какие
	глюки. [WI]

[+] Закоммитил сохранение шаблонов от Tim Sobolev. Однако, мне не нравится эта
	реализация. [TS]

[-] Не убираем расширение если архивируем единственный элемент и он является каталогом. [TS]

[+] Добавлена настройка "Каждый элемент в отдельный архив" [TS]

[29/05/2006]

[*] Изменения в способе хранения/вычисления индекса файла в 7z.module. [WI]

[+] Добавлена возможность собрать 7z.module с помощью GCC. [AY]


[??/05/2006]

[-] Исправлена ошибка, приводившая к падению плагина из-за возможности
	получить 200% и более на индикаторе распаковки. [WI]

[+] Добавлен 7z.module. Для работы требуется 7zxa.dll 4.32 и выше. [WI]

[20/01/2006]

[-] Убрал мессагу о "щя похерю" из zip. [AY]

[-] Правильный показ прогресса. [AY]

[13/07/2005]

[-] Не работал zip.module если компилятор не занулял переменные.

[-] Не работал rar.module если компилятор не занулял переменные.

[-] Не работал ReadArchive если компилятор не занулял переменные.

[*] Некоторые изменения во внешнем виде диалога добавления файлов к 
	архиву.

[*] Обновлены библиотечные файлы.

[05/04/2005]

[*] Перерисовал диалог добавления файлов. Он ограниченно работает.
	Шаблоны читаются из файла "templates.ini" в папке с плагином, но
	не обрабатываются. Их надо делать абсолютно иначе, сейчас это
	так "дырку на обоях загораживает". [WI]

[15/03/2005]

[+] Чтобы хоть что-то полезное привнести, приделал поддержку чтения	.lng файлов 
	в субплагины. Ессно, через FarLNG (исходники прилагаются). [WI]

[+] Сделал пустой диалог настройки плагина. 

[*] Убрал немодальные редакторы из NA. [WI]

[*] Убрал поддержку в диалоге параметров архиватора настроек
	внутренней/внешней распаковки. Отдаем это на откуп форматам. [WI]

[+] Добавил в проект враппер для MA. [WI]

[*] Обнуляем счетчик форматов во враппере перед использованием (я знаю,
	что должен обнуляться в malloc, но у меня пока не...). [WI]

[12/03/2005]

[+] MultiArc врапер. Даже работает. [AY]

[*] Добавил в newarc.Panel.cpp работу с external архиваторами (временно). [AY]

[04/03/2005]

[*] Переименовал везде ERROR_* в NAERROR_*. [AY]

[*] TarBzip по большому теперь работает. Есть проблемы при распаковке
	многих файлов сразу. [AY]

[+] Выдрал из MultiArc'а очистку экрана перед архивными 
	операциями. Вспомнил, почему убрал ее до этого. Ориентировался
	на окно ожидания "Архивная операция". В конечном итоге это
	будет крыжик. [WI]

[*] Вернул на место ZIP. [WI]

[+] Добавил в проект TAR. [WI]

[03/03/2005] 

[*] Убрал module.hpp из папок плагинов и другие лишние файлы. [AY]

[*] В RAR плагине поменял wrar на rar. [AY]

[+] Теперь работает и TarGz/Bz/etc, но Bz что-то не хочет распаковываться,
	а также плагин не имеет настроек ком строки. [AY]

[*] Основательно нагадил на предмет PluginEntry. Пока работает только RAR.
	ZIP в отключке. Отрабатываем идею. [WI]

[02/03/2005]

[*] Изменил мэйки gcc. [AY]

[*] Изменил .vcproj, чтобы подходил к новым файлам. [WI]

[*] Убрал кое-что из startup'а newarc. Так, для забавы. [WI]

[+] система дифф. [AY]

[??/02/2005]

[+] Дело было вечером... Решили мы писать этот плагин коллективно.
	Собрали мастер сырье. [WI]
